IDate = IObject.subClass();

IDate.nextDate = function (indate){
	var date = (indate) ? indate : new Date();
	var year = date.getYear();
	var month = date.getMonth();
	var day = date.getDate();
	if(day >= this.daysOfMonth(date)){
		if(month >= 11){
			date.setYear(++year);
			date.setMonth(0);
		}else{
			date.setMonth(++month);
		}
		date.setDate(1);
	}else{
		date.setDate(++day);
	}
	return date;
}

IDate.nextMonth = function (indate){
	var date = (indate) ? indate : new Date();
	var year = date.getYear();
	var month = date.getMonth();
	if(month >= 11){
		date.setYear(++year);
		date.setMonth(0);
	}else{
		date.setMonth(++month);
	}
	return date;
}

IDate.nextYear = function(indate){
	var date = (indate) ? indate : new Date();
	var year = date.getYear();
	date.setYear(++year);
	return date;
}

IDate.daysOfMonth = function(date){
	var year = date.getYear();
	var month = date.getMonth();
	if(month == 4 || month == 6 || month == 9 || month == 11)
		return 30;
	if(month == 2){
		if(year % 4 == 0 &&(year % 100 != 0 || year % 400 == 0))
			return 29;
		return 28;
	}
	return 31;
}