(function(){
	
	var parser = new XPathParser();
	var context = new XPathContext();
	var doc = document.constructor.prototype;
	var element = document.createElement("div").constructor.prototype;
	//var attribute = Attr.prototype;
/*
	doc.loadXML = function(text){
		var parser = new DOMParser;
		var newDoc = parser.parseFromString(text, "text/xml");
		this.replaceChild(newDoc.documentElement, this.documentElement);
	};

	doc.setProperty = function(name, value){
		if(name=="SelectionNamespaces"){
			namespaces = {};
			var a = value.split(" xmlns:");
			for (var i=1;i<a.length;i++){
				var s = a[i].split("=");
				namespaces[s[0]] = s[1].replace(/\"/g, "");
			}
			this._ns = {
				lookupNamespaceURI : function(prefix){return namespaces[prefix]}
			}
		}
	};
*/
	doc._ns = {
		lookupNamespaceURI : function(){return null}
	};

	doc.selectNodes = function (path) {
	   var result;
	   try{
			var xpath = parser.parse(path);
			context.expressionContextNode = this.documentElement;
			ILog.debug("context node:" + context.expressionContextNode + ";" + this.documentElement);
		   result = xpath.evaluate(context);
		   ILog.debug("here is the xpath : " + path, "Safari.js");
	   }catch(e){
	   	   ILog.error("errors found : " + e , "Safari.js");
	   }
	   var i, nodes = [];
	   nodes = result.toArray();
	   return nodes;
	};

	doc.selectSingleNode = function (path) {
	   return this.selectNodes(path)[0];
	};

	element.selectNodes = function (path) {
	   var result;
	   try{
			var xpath = parser.parse(path);
			context.expressionContextNode = this;
			ILog.debug("context node:" + context.expressionContextNode + ";" + this);
		   result = xpath.evaluate(context);
		   ILog.debug("here is the xpath : " + path, "Safari.js");
	   }catch(e){
	   	   ILog.error("errors found : " + e , "Safari.js");
	   }
	   var i, nodes = [];
	   nodes = result.toArray();
	   return nodes;
	};
/*
	element.selectSingleNode = function (path) {
	   return this.selectNodes(path)[0];
	};*/
/*
	element.text = {};
	element.text.toString = function (){return this.parent();};
	attribute.text = {};
	attribute.text.toString = function(){return attribute.nodeValue;};
*/
})();